LibreOffice LibreOffice 6.1 SDK API Reference

Modules | Variables
ReferenceFieldPart.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::text
| Text specific interfaces.

## Constant Groups
constants | com::sun::star::text::ReferenceFieldPart
| These constants define how the reference position is displayed in reference text fields.

## Variables
const short | PAGE = 0
| The page number is displayed using Arabic numbers. More...
const short | CHAPTER = 1
| The number of the chapter is displayed. More...
const short | TEXT = 2
| The reference text is displayed. More...
const short | UP_DOWN = 3
| The reference is displayed as one of the (localized) words, "above" or "below". More...
const short | PAGE_DESC = 4
| The page number is displayed using the numbering type defined in the page style of the reference position. More...
const short | CATEGORY_AND_NUMBER = 5
| The category and the number of a caption is displayed. More...
const short | ONLY_CAPTION = 6
| The caption text of a caption is displayed. More...
const short | ONLY_SEQUENCE_NUMBER = 7
| The number of a sequence field is displayed. More...
const short | NUMBER = 8
| The numbering label and depending of the reference field context numbering labels of superior list levels of the reference are displayed. More...
const short | NUMBER_NO_CONTEXT = 9
| The numbering label of the reference is displayed. More...
const short | NUMBER_FULL_CONTEXT = 10
| The numbering label and numbering labels of superior list levels of the reference are displayed. More...